Bug 426098 - Review Request: libwiimote - library for the Nintendo Wii Remote
Review Request: libwiimote - library for the Nintendo Wii Remote
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-18 10:11 EST by Adam Jackson
Modified: 2008-01-07 17:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-21 11:31:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2007-12-18 10:11:01 EST
Spec URL: http://ajax.fedorapeople.org/libwiimote/libwiimote.spec
SRPM URL: http://ajax.fedorapeople.org/libwiimote/libwiimote-0.4-1.fc9.src.rpm

Description:
Libwiimote is a C-library that provides a simple API for communicating with the Nintendo Wii Remote (aka. wiimote) on a Linux system. The goal of this library is to be a complete and easy to use framework for interfacing applications with the wiimote.
Comment 1 Adam Jackson 2007-12-18 10:56:00 EST
Broken, doesn't build in koji due to -fpic hilarity, and the headers go to
someplace completely insane.  New stuff:

Spec URL: http://ajax.fedorapeople.org/libwiimote/libwiimote.spec
SRPM URL: http://ajax.fedorapeople.org/libwiimote/libwiimote-0.4-2.fc9.src.rpm

Builds in koji, so I think this one is solid.
Comment 2 Marek Mahut 2007-12-18 14:39:32 EST
Hello Adam,

The package looks good, only cosmetics issue.

W: mixed-use-of-spaces-and-tabs
Comment 3 Tom "spot" Callaway 2007-12-18 16:32:12 EST
License tag is incorrect, should be GPLv2+.
Comment 4 Adam Jackson 2007-12-18 17:15:23 EST
New Package CVS Request
=======================
Package Name: libwiimote
Short Description: Library for the Nintendo Wii Remote
Owners: ajax
Branches: F-7
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-12-18 21:30:31 EST
Do you really want only F-7 and devel (assumed) branches? Not also F-8?

Also, There appears to be a stray "#Requires:' in the spec. ;) 
Comment 6 Adam Jackson 2007-12-19 14:52:43 EST
erk, no, meant F-8 not F-7.

New Package CVS Request
=======================
Package Name: libwiimote
Short Description: Library for the Nintendo Wii Remote
Owners: ajax
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 7 Jason Tibbitts 2007-12-19 15:55:10 EST
CVS done.
Comment 8 Adam Jackson 2007-12-21 11:31:12 EST
Imported.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.